MONGOC_CLIENT_GET_DEFAULT_DATABASE(3)

NAME
mongoc_client_get_default_database() - None

SYNOPSIS

mongoc_database_t *
mongoc_client_get_default_database (mongoc_client_t *client);

Get the database named in the MongoDB connection URI, or NULL if the URI specifies none.

Useful when you want to choose which database to use based only on the URI in a configuration file.

PARAMETERS

client
    A mongoc_client_t \&.

RETURNS

A newly allocated mongoc_database_t that should be freed with mongoc_database_destroy(3) \&.

EXAMPLE

/* default database is "db_name" */
mongoc_client_t *client = mongoc_client_new ("mongodb://host/db_name");
mongoc_database_t *db = mongoc_client_get_default_database (client);

assert (!strcmp ("db_name", mongoc_database_get_name (db)));

mongoc_database_destroy (db);
mongoc_client_destroy (client);

/* no default database */
client = mongoc_client_new ("mongodb://host/");
db = mongoc_client_get_default_database (client);

assert (!db);

mongoc_client_destroy (client);

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.